Name:           eina
Version:        0.9.1
Release:        1%{?dist}
Summary:        A classic player for a modern era

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://eina.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
BuildRequires:  gstreamer-devel 
BuildRequires:  intltool 
BuildRequires:  gtk2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  unique-devel
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils
BuildRequires:  curl-devel
BuildRequires:  libnotify-devel
BuildRequires:  libuuid-devel
      

%description
Eina works like a common portable music player. Just plays what you want 
to listen.

Apart from simplicity, today users expect more from a player than just 
reading files. Artwork, lyrics, network support, artist data and other 
music information find their right place in Eina.

Plugins can take care of all the extra functionality, since Eina exposes 
everything from its internals. It's fairly easy to extend the player 
capabilities and change the way it works inside. Feel free to request new 
features and make things the way you like. 


%package devel
Summary:    A Eina development environment
Group:      Development/Languages
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Header files and libraries for building a extension library for the
Eina.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for eina. 


%prep
%setup -q


%build
%configure --disable-static

# Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# desktop-install
desktop-file-install \
--add-category="AudioVideo" \
--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# clean-up .la archives
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
update-desktop-database &> /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT TODO
%{_bindir}/eina
%{_bindir}/vogon
%{_datadir}/applications/eina.desktop
%{_datadir}/eina
%attr(755, root, root) %{_libdir}/eina/lastfm/lastfmsubmitd/lastfmsubmitd
%{_libdir}/eina
%{_libdir}/*.so.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%files doc
%defattr(-,root,root,-)
%dir %{_datadir}/gtk-doc/html/lomo
%{_datadir}/gtk-doc/html/lomo


%changelog
* Mon Feb  1 2010 Allisson Azevedo <allisson@gmail.com> 0.9.1-1
- Added libuuid-devel to BR.
- Update to 0.9.1.

* Sun Jan 31 2010 Allisson Azevedo <allisson@gmail.com> 0.9.0-1
- Update to 0.9.0.

* Mon Aug  3 2009 Allisson Azevedo <allisson@gmail.com> 0.8.0-4
- Added libnotify-devel to BuildRequires.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul  3 2009 Allisson Azevedo <allisson@gmail.com> 0.8.0-2
- Fix changelog date.

* Fri Jul  3 2009 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0.
- Added curl-devel BR.
- Removed patches.

* Tue Mar 10 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-6
- Added gtkvolume patch.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  5 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-4
- Fix to consistently use macros.
- Fix devel requires.
- Disable Rpath.

* Thu Feb  5 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-3
- Fix devel package permissions.
- Fix files section.

* Thu Feb  5 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-2
- Fix spec issues.

* Mon Feb 02 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-1
- Initial rpm release.
